import * as React from "react";
import { IDeviceSize } from "../hooks";
interface IProviderOptions {
    rotate?: boolean;
    defaultDeviceSize?: IDeviceSize;
}
interface ISizableContext {
    width: number;
    height: number;
    wPer: (dp: number) => number;
    hPer: (dp: number) => number;
    scaleWidth: (dp: number) => number;
    scaleHeight: (dp: number) => number;
    scaleFont: (dp: number) => number;
}
export declare const SizableContext: React.Context<ISizableContext>;
export declare const SizableProvider: React.FC<IProviderOptions>;
export {};
