/// <reference types="react" />
export interface IDeviceSize {
    width: number;
    height: number;
}
interface IOptions {
    rotate?: boolean;
    defaultDeviceSize?: IDeviceSize;
}
export declare const useDeviceSize: (
    options: IOptions
) => {
    baseDeviceSize: IDeviceSize;
    setBaseDeviceSize: import("react").Dispatch<
        import("react").SetStateAction<IDeviceSize>
    >;
    width: number;
    height: number;
};
export {};
